Bug 16933 - Alt-Y not working on "Please confirm checkout" dialogs
Summary: Alt-Y not working on "Please confirm checkout" dialogs
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: tmcmahon
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 12051
Blocks:
  Show dependency treegraph
 
Reported: 2016-07-15 19:33 UTC by tmcmahon
Modified: 2017-01-27 02:35 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 16933: Alt+y not working on "Please confirm checkout " dialogs (1.66 KB, patch)
2016-08-26 21:02 UTC, tmcmahon
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16933 - Alt-Y not working on "Please confirm checkout" dialogs (2.45 KB, patch)
2016-09-08 16:21 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 16933 - Alt-Y not working on "Please confirm checkout" dialogs (2.47 KB, patch)
2016-09-10 07:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16933 - Update documentation/help file. (1.03 KB, patch)
2016-10-10 14:07 UTC, Danielle Elder
Details | Diff | Splinter Review
Bug 16933 - Update documentation/help file. (1.09 KB, patch)
2016-10-10 14:13 UTC, Jesse Maseto
Details | Diff | Splinter Review
[PASSED QA] Bug 16933 - Alt-Y not working on "Please confirm checkout" dialogs (2.53 KB, patch)
2016-10-14 07:21 UTC, Martin Renvoize
Details | Diff | Splinter Review
[PASSED QA] Bug 16933 - Update documentation/help file. (1.17 KB, patch)
2016-10-14 07:35 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description tmcmahon 2016-07-15 19:33:20 UTC
The alt-Y key which used to select Yes in circulation dialogs switches to the renew tab instead.  I also noticed that the new "Don't check out and print slip (P)" button doesn't work with alt-P either.
Comment 1 tmcmahon 2016-08-26 21:02:15 UTC Comment hidden (obsolete)
Comment 2 tmcmahon 2016-08-26 21:06:04 UTC
I didn't know why Alt+y was used for renew, so I changed it to Alt+w so it doesn't conflict with Alt+y to answer yes in dialogs.
Comment 3 Jonathan Druart 2016-09-07 09:49:36 UTC
Hello,
You patch is not correctly formated.
Please have a look at https://wiki.koha-community.org/wiki/SubmitingAPatch and then switch the status to "Needs Signoff".
Comment 4 tmcmahon 2016-09-07 21:42:34 UTC
Comment on attachment 54941 [details] [review]
Bug 16933: Alt+y not working on "Please confirm checkout " dialogs


The keyboard shortcut for renew is also set to Alt+y.  Change the key
for renew from Alt+y to Alt+w.


To test:
1) Press Alt+y when you get a "Please confirm checkout" dialog.
2) The renew tab is selected instead of confirming the dialog.
3) Apply the patch and refresh your browser to load the change.
4) Repeat step one.
5) Alt+y confirms the checkout, Alt+w selects the renew tab.
Comment 5 Owen Leonard 2016-09-08 16:21:11 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2016-09-10 07:42:05 UTC
In order to select Yes I need to do alt+shift+y - It makes sense as it's a Y, but leaving a note anyway :)
Comment 7 Katrin Fischer 2016-09-10 07:42:57 UTC
The new shortcut for renewal should be added to the help file on the circulation home page!
Comment 8 Katrin Fischer 2016-09-10 07:43:36 UTC
Created attachment 55457 [details] [review]
[PASSED QA] Bug 16933 - Alt-Y not working on "Please confirm checkout" dialogs

This patch changes the keyboard shortcut for renew from Alt+y to Alt+w.

To test:
1) Press Alt+y when you get a "Please confirm checkout" dialog.
2) The renew tab is selected instead of confirming the dialog.
3) Apply the patch and refresh your browser to load the change.
4) Repeat step one.
5) Alt+y confirms the checkout, Alt+w selects the renew tab.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 9 Danielle Elder 2016-10-10 14:07:53 UTC
Created attachment 56105 [details] [review]
Bug 16933 - Update documentation/help file.

Updates help documentation about Alt+W to open renew tab.

To test: Go to circulation help page, open help file and see that new
line mentioning Alt+W.
Comment 10 Jesse Maseto 2016-10-10 14:13:57 UTC
Created attachment 56114 [details] [review]
Bug 16933 - Update documentation/help file.

Updates help documentation about Alt+W to open renew tab.

To test: Go to circulation help page, open help file and see that new
line mentioning Alt+W.

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Comment 11 Martin Renvoize 2016-10-14 07:21:16 UTC
Created attachment 56448 [details] [review]
[PASSED QA] Bug 16933 - Alt-Y not working on "Please confirm checkout" dialogs

This patch changes the keyboard shortcut for renew from Alt+y to Alt+w.

To test:
1) Press Alt+y when you get a "Please confirm checkout" dialog.
2) The renew tab is selected instead of confirming the dialog.
3) Apply the patch and refresh your browser to load the change.
4) Repeat step one.
5) Alt+y confirms the checkout, Alt+w selects the renew tab.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 12 Martin Renvoize 2016-10-14 07:35:58 UTC
Created attachment 56451 [details] [review]
[PASSED QA] Bug 16933 - Update documentation/help file.

Updates help documentation about Alt+W to open renew tab.

To test: Go to circulation help page, open help file and see that new
line mentioning Alt+W.

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 13 Katrin Fischer 2016-12-22 11:59:10 UTC
I am not sure the version setting here is correct - I tested this on master pre 16.11 release. I am resetting it.
Comment 14 Kyle M Hall 2016-12-23 11:25:19 UTC
Pushed to master for 17.05, thanks Tim, Dani!
Comment 15 Katrin Fischer 2016-12-27 21:52:56 UTC
These patches have been pushed to 16.11.x, will be in 16.11.02
.
Comment 16 Julian Maurice 2017-01-02 12:36:31 UTC
For reference, this shortcut has been introduced by bug 12051
Comment 17 Mason James 2017-01-27 02:35:41 UTC
Pushed to 16.05.x, for 16.05.08 release